### Method

# Gtk Window present_with_time

#### Declaration [src]

    void
    gtk_window_present_with_time (
      GtkWindow* window,
      guint32 timestamp
    )

#### Description [src]

Presents a window to the user.

This may mean raising the window in the stacking order, unminimizing it, moving it to the current desktop, and/or giving it the keyboard focus, possibly dependent on the user’s platform, window manager, and preferences.

If `window` is hidden, this function calls gtk_widget_show() as well.

This function should be used when the user tries to open a window that’s already open. Say for example the preferences dialog is currently open, and the user chooses Preferences from the menu a second time; use gtk_window_present() to move the already-open dialog where the user can see it.

Presents a window to the user in response to a user interaction. The timestamp should be gathered when the window was requested to be shown (when clicking a link for example), rather than once the window is ready to be shown.

#### Parameters

`timestamp` | `guint32`
| The timestamp of the user interaction (typically a button or key press event) which triggered this call.